// creator  : weidu.exe (version 23100)
// argument : SOLAR.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SOLAR~

IF ~Global("TalkedToSolar","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY #64019 /* ~I greet you, god-child, you who are of divine blood.  I have awaited you.~ [SOLAR06] */
  IF ~~ THEN REPLY #64020 /* ~And just who are you?~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",1)~ GOTO 1
  IF ~~ THEN REPLY #64021 /* ~Where am I?  Am I dreaming?~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",1)~ GOTO 2
  IF ~~ THEN REPLY #64022 /* ~Why have you brought me here?  Answer or feel my wrath!~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",1)~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 2.1 2.0 0.2 0.0
  SAY #64023 /* ~I have existed since the first strand of fate was woven, a servant of the paths and the gods.  I have watched your own path most carefully.~ [SOLAR07] */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #64024 /* ~How would you define a dream?  If as a fleeting path without true substance... then this is no dream.  I have brought you to this place and it is real.~ [SOLAR08] */
  IF ~~ THEN REPLY #64025 /* ~Who are you?~ */ GOTO 1
  IF ~~ THEN REPLY #64026 /* ~Why did you bring me here?~ */ GOTO 1
END

IF ~~ THEN BEGIN 3 // from: 1.0
  SAY #64027 /* ~Our own servant, who was the mortal Alaundo, spake the truths that became prophecy.  It tells of your coming and of all the others who are the progeny of Bhaal.~ [SOLAR09] */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #64028 /* ~The spark of the divine rests within all of Bhaal's children and the time for their joining is nigh.  I am here to aid you, god-child.~ [SOLAR10] */
  IF ~~ THEN REPLY #64029 /* ~Aid me?  How?~ */ GOTO 7
  IF ~~ THEN REPLY #64031 /* ~What do you know of the prophecy, exactly?~ */ GOTO 5
  IF ~~ THEN REPLY #64033 /* ~What is this place?~ */ GOTO 8
  IF ~~ THEN REPLY #64034 /* ~How do I know this isn't some sort of trick?!~ */ GOTO 9
END

IF ~~ THEN BEGIN 5 // from: 9.1 8.1 4.1
  SAY #64035 /* ~The progeny of Bhaal are many... and now they are quickly being extinguished, their spark returning to its source.  An Event unfolds of divine significance, god-child.~ [SOLAR11] */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #64036 /* ~You are central to this Event.  Many are the strings of fate that start or pass through you. The end I cannot see.  I must shepherd you through this time as best I can.~ [SOLAR12] */
  IF ~~ THEN REPLY #64037 /* ~What can you do to help me?~ */ GOTO 7
  IF ~~ THEN REPLY #64038 /* ~What is this place?~ */ GOTO 8
  IF ~~ THEN REPLY #64039 /* ~How do I know this isn't some sort of trick?!~ */ GOTO 9
END

IF ~~ THEN BEGIN 7 // from: 9.0 8.0 6.0 4.0
  SAY #64040 /* ~I cannot interfere.  I can only prepare you, god-child... aid in your education, you who are most unready to assume your destiny.~ [SOLAR13] */
  IF ~~ THEN REPLY #64041 /* ~What do you mean by that?~ */ GOTO 10
END

IF ~~ THEN BEGIN 8 // from: 9.2 6.1 4.2
  SAY #64045 /* ~This?  This is the layer of the Abyss once ruled by your sire, Bhaal.  You have been here before, although it was altered, then, by your own consciousness.~ [SOLAR14] */
  IF ~~ THEN REPLY #64051 /* ~You mentioned helping me... how?~ */ GOTO 7
  IF ~~ THEN REPLY #64052 /* ~What do you know of the prophecy, exactly?~ */ GOTO 5
  IF ~~ THEN REPLY #64053 /* ~How do I know this all isn't some sort of trick?!~ */ GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.2 6.2 4.3
  SAY #64054 /* ~I am not here to fool or harm you, god-child.  I may only teach, and you are free to consider my words and deem them false, if you wish.  There is no consequence.~ [SOLAR15] */
  IF ~~ THEN REPLY #64055 /* ~So just how can you help me, exactly?~ */ GOTO 7
  IF ~~ THEN REPLY #64056 /* ~Tell me what you know of the prophecy.~ */ GOTO 5
  IF ~~ THEN REPLY #64057 /* ~Tell me what this place is.~ */ GOTO 8
END

IF ~~ THEN BEGIN 10 // from: 7.0
  SAY #64058 /* ~I mean only that you are unready for the possibilities that await you.  Your mortal mind does not readily comprehend the power in your blood.~ [SOLAR16] */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #64059 /* ~When you were last in your sire's realm, god-child, it was altered by your own consciousness without you even forming the intent to do so.  You are not ready for the power.~ [SOLAR17] */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #64060 /* ~You must be ready.  It is your presence which determines the outcome of the prophecy, although even I cannot see it yet.  When the time comes, you will be ready... I will make certain.~ [SOLAR18] */
  IF ~~ THEN REPLY #64063 /* ~What do you know about my power?~ */ GOTO 13
  IF ~~ THEN REPLY #64064 /* ~What is going to happen?~ */ GOTO 13
  IF ~~ THEN REPLY #64065 /* ~What if I don't want your help?~ */ GOTO 15
  IF ~~ THEN REPLY #64066 /* ~I demand to be sent back at once!~ */ GOTO 16
END

IF ~~ THEN BEGIN 13 // from: 16.0 15.0 12.1 12.0
  SAY #64067 /* ~Power comes with knowledge, god-child.  It shall come to you in time, as your destiny unfolds.~ [SOLAR19] */
  IF ~~ THEN GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY #64068 /* ~I shall see you soon.  Until then, hold your heart close and know that you are not alone.~ [SOLAR20] */
  IF ~~ THEN DO ~ClearAllActions()
//AddXP2DA("Solar1")
StartCutSceneMode()
StartCutScene("cut205b")
~ EXIT
END

IF ~~ THEN BEGIN 15 // from: 12.2
  SAY #64069 /* ~You would wish to stumble about unknowing and blind?  Even if this is so, you have no choice in the matter.~ [SOLAR21] */
  IF ~~ THEN GOTO 13
END

IF ~~ THEN BEGIN 16 // from: 12.3
  SAY #64070 /* ~Your demand means little to me.  Willing or not, you have no choice in my presence, just as you have no choice in your destiny.~ [SOLAR22] */
  IF ~~ THEN GOTO 13
END

IF ~Global("TalkedToSolar","GLOBAL",1)~ THEN BEGIN 17 // from:
  SAY #66169 /* ~I greet you, you who are of divine blood.  It is time for your education to continue.~ [SOLAR23] */
  IF ~~ THEN REPLY #66170 /* ~Why did you drag me here?!~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",2)
~ GOTO 18
  IF ~~ THEN REPLY #66176 /* ~Your timing is not very convenient.~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",2)
~ GOTO 18
  IF ~~ THEN REPLY #66177 /* ~What do you mean, my 'education'?~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",2)
~ GOTO 19
  IF ~~ THEN REPLY #66178 /* ~Very well... I believe I am ready.~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",2)
~ GOTO 19
END

IF ~~ THEN BEGIN 18 // from: 17.1 17.0
  SAY #66179 /* ~You have been brought to this place because you are ready, god-child.~ [SOLAR24] */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.0 17.3 17.2
  SAY #66180 /* ~The first step towards the fulfillment of your destiny has been taken.  Yaga-Shura is dead by your hand, and the forces in play now move swiftly toward conclusion.~ [SOLAR25] */
  IF ~~ THEN GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #66181 /* ~Now you must know yourself and your past to reveal your future.  Listen and be judged.~ [SOLAR26] */
  IF ~~ THEN REPLY #66183 /* ~I don't care to be judged by you or anyone.~ */ GOTO 21
  IF ~~ THEN REPLY #66184 /* ~Very well... I will listen.~ */ GOTO 22
END

IF ~~ THEN BEGIN 21 // from: 20.0
  SAY #66185 /* ~I am not the judge here today. You shall test yourself.~ [SOLAR27] */
  IF ~~ THEN GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.0 20.1
  SAY #66186 /* ~To look upon oneself and ask, 'What is my nature?' one must know one's origin.~ [SOLAR28] */
  IF ~~ THEN GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 22.0
  SAY #66187 /* ~Your own origin is a mystery to you, god-child.  You have no beginning... and without a beginning, how can there be an ending?~ [SOLAR29] */
  IF ~~ THEN GOTO 24
END

IF ~~ THEN BEGIN 24 // from: 23.0
  SAY #66188 /* ~What do you know of your birth?  What do you know of your mother, of your life before Gorion brought you to the safety of Candlekeep?~ [SOLAR30] */
  IF ~~ THEN REPLY #66189 /* ~I know nothing of my life before Gorion.~ */ GOTO 25
  IF ~~ THEN REPLY #66190 /* ~I know nothing, nor do I care.~ */ DO ~IncrementGlobal("Bhaal25Dream1","GLOBAL",-1)~ GOTO 25
END

IF ~~ THEN BEGIN 25 // from: 24.1 24.0
  SAY #66197 /* ~Your past unfolds.  You would do well to heed it closely.~ [SOLAR31] */
  IF ~OR(2)
Race(Player1,DWARF)
Race(Player1,GNOME)
~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("cut217b2")
~ EXIT
  IF ~OR(2)
Race(Player1,ELF)
Race(Player1,HALF_ELF)
~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("cut217b3")
~ EXIT
  IF ~Race(Player1,HALFLING)
~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("cut217b4")
~ EXIT
  IF ~!Race(Player1,DWARF)
!Race(Player1,GNOME)
!Race(Player1,ELF)
!Race(Player1,HALF_ELF)
!Race(Player1,HALFLING)
~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("cut217b1")
~ EXIT
END

IF ~Global("TalkedToSolar","GLOBAL",2)~ THEN BEGIN 26 // from:
  SAY #66229 /* ~And so your past is made plain.  Your mother, a priestess of Bhaal, killed by Gorion.~ [SOLAR32] */
  IF ~~ THEN REPLY #66230 /* ~So what?  It means nothing to me.~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",3)
IncrementGlobal("Bhaal25Dream1","GLOBAL",-1)~ GOTO 27
  IF ~~ THEN REPLY #66231 /* ~A surprise, but better her than me.~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",3)
IncrementGlobal("Bhaal25Dream1","GLOBAL",-1)~ GOTO 27
  IF ~~ THEN REPLY #66232 /* ~Gorion saved my life.  He never told me any of this...~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",3)
IncrementGlobal("Bhaal25Dream1","GLOBAL",1)~ GOTO 27
  IF ~~ THEN REPLY #66234 /* ~I feel sorry for my mother.  Gorion did what he had to.~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",3)
IncrementGlobal("Bhaal25Dream1","GLOBAL",1)~ GOTO 27
  IF ~~ THEN REPLY #66237 /* ~THIS was my mother?!  How horrid!  No wonder Gorion never told me!~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",3)
~ GOTO 27
END

IF ~~ THEN BEGIN 27 // from: 26.4 26.3 26.2 26.1 26.0
  SAY #66238 /* ~And what of your brother, Sarevok?  What if fate had not intervened, and Gorion had raised him rather than you?  Would you have become as he was?~ [SOLAR33] */
  IF ~~ THEN GOTO 28
END

IF ~~ THEN BEGIN 28 // from: 27.0
  SAY #66239 /* ~Would Sarevok be in your place, now, if but for the smallest twist of fate?  Is there a debt between you, then, that is yet unpaid?~ [SOLAR34] */
  IF ~~ THEN REPLY #66240 /* ~If there was a debt, then it was Gorion's... and it has been paid.~ */ DO ~IncrementGlobal("Bhaal25Dream1","GLOBAL",-1)~ GOTO 29
  IF ~~ THEN REPLY #66241 /* ~There is no debt.  Gorion had no choice... and I wouldn't have ended up like Sarevok.~ */ DO ~IncrementGlobal("Bhaal25Dream1","GLOBAL",-2)~ GOTO 29
  IF ~~ THEN REPLY #66242 /* ~Sarevok made his own fate.  Neither Gorion nor I are responsible for it.~ */ GOTO 29
  IF ~OR(2)
!Dead("Sarevok")
InPartyAllowDead("Sarevok")~ THEN REPLY #66247 /* ~Sarevok paid for what he did... as for now, I don't know... perhaps there is a debt.~ */ DO ~IncrementGlobal("Bhaal25Dream1","GLOBAL",1)~ GOTO 29
  IF ~~ THEN REPLY #66249 /* ~Yes, there is a debt.  I could have just as easily have had his life, and he mine.~ */ DO ~IncrementGlobal("Bhaal25Dream1","GLOBAL",2)~ GOTO 29
END

IF ~~ THEN BEGIN 29 // from: 28.4 28.3 28.2 28.1 28.0
  SAY #66250 /* ~We are finished, then, for now.  Return to your cocoon plane... You will find part of it now open to you.  Investigate, as you wish.~ [SOLAR35] */
  IF ~~ THEN GOTO 30
END

IF ~~ THEN BEGIN 30 // from: 29.0
  SAY #66251 /* ~Consider what you have learned here, today.  Farewell, god-child.~ [SOLAR36] */
  IF ~GlobalGT("Bhaal25Dream1","GLOBAL",0)
~ THEN DO ~AddXP2DA("Solar2")
StartCutSceneMode()
StartCutScene("cut217f")
~ JOURNAL #73861 /* ~Revelations of the Solar

The Solar has called me to my pocket plane once again, revealing some interesting facets of my past.  When Gorion assaulted the Bhaalist temple and killed my mother, it could very easily have been that Sarevok was taken by the wizard instead of I.  How would our paths have differed then, I wonder?

Gorion must have wanted this kept from me even beyond his death:  his final posthumous words to me that I read on my return to Candlekeep indicated that my mother was intimate with him, an innocent who was impregnated by Bhaal against her will, certainly not that she was one of Bhaal's faithful, willing to sacrifice me as a vessel of his essence to further his return. Perhaps Gorion knew that I would inevitably discover this in my own time, when I had matured enough to be able to accept the complete truth of my past, when the prophecies came to fruition.

While enlightening, it is hard to say what relevance such information has for me in my current situation.  The Solar was cryptic, as usual... but she did open another of the doorways in the pocket plane that leads to another challenge.  What lays beyond I shall have to discover for myself.~ */ FLAGS 128 EXIT
  IF ~GlobalLT("Bhaal25Dream1","GLOBAL",1)
~ THEN DO ~AddXP2DA("Solar2")
StartCutSceneMode()
StartCutScene("cut217g")
~ JOURNAL #73861 /* ~Revelations of the Solar

The Solar has called me to my pocket plane once again, revealing some interesting facets of my past.  When Gorion assaulted the Bhaalist temple and killed my mother, it could very easily have been that Sarevok was taken by the wizard instead of I.  How would our paths have differed then, I wonder?

Gorion must have wanted this kept from me even beyond his death:  his final posthumous words to me that I read on my return to Candlekeep indicated that my mother was intimate with him, an innocent who was impregnated by Bhaal against her will, certainly not that she was one of Bhaal's faithful, willing to sacrifice me as a vessel of his essence to further his return. Perhaps Gorion knew that I would inevitably discover this in my own time, when I had matured enough to be able to accept the complete truth of my past, when the prophecies came to fruition.

While enlightening, it is hard to say what relevance such information has for me in my current situation.  The Solar was cryptic, as usual... but she did open another of the doorways in the pocket plane that leads to another challenge.  What lays beyond I shall have to discover for myself.~ */ FLAGS 128 EXIT
END

IF ~Global("TalkedToSolar","GLOBAL",3)
~ THEN BEGIN 31 // from:
  SAY #67300 /* ~I greet you once again, god-child.  The second of your revelations await you.~ [SOLAR37] */
  IF ~~ THEN REPLY #67301 /* ~What, more details about my past?~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",4)
~ GOTO 32
  IF ~~ THEN REPLY #67302 /* ~I am ready.~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",4)
~ GOTO 35
  IF ~~ THEN REPLY #67303 /* ~I refuse to be continually dragged here for this nonsense.~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",4)
~ GOTO 32
  IF ~~ THEN REPLY #67311 /* ~There is a point to this, I hope?~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",4)
~ GOTO 32
END

IF ~~ THEN BEGIN 32 // from: 31.3 31.2 31.0
  SAY #67312 /* ~Have you never questioned your origin, as you might question your future?  Do you truly believe that beings with godly power have no sense of themselves, or put no reason to their actions?~ [SOLAR38] */
  IF ~~ THEN GOTO 33
END

IF ~~ THEN BEGIN 33 // from: 32.0
  SAY #67313 /* ~As a being such as yourself grows in power, the universe strives to teach and make them ready.  Choices will have to be made.  Be unprepared and you will have an eternity to regret.~ [SOLAR39] */
  IF ~~ THEN GOTO 34
END

IF ~~ THEN BEGIN 34 // from: 33.0
  SAY #67314 /* ~But no matter.  I have explained these things to you already.  I will repeat myself no further... listen and learn, or do not.  As you wish.~ [SOLAR40] */
  IF ~~ THEN GOTO 36
END

IF ~~ THEN BEGIN 35 // from: 31.1
  SAY #67330 /* ~Good.  I hope you have pondered your origin, for any being of great power must know much of themselves before they can put reason to their actions.  Let us continue.~ [SOLAR41] */
  IF ~~ THEN GOTO 36
END

IF ~~ THEN BEGIN 36 // from: 35.0 34.0
  SAY #67354 /* ~This time we are not concerned with your past, god-child.  Now we will look at your present.  The prophecy proceeds towards its climax, as I am sure you are well aware.~ [SOLAR42] */
  IF ~~ THEN GOTO 37
END

IF ~~ THEN BEGIN 37 // from: 36.0
  SAY #67357 /* ~Your place in this prophecy is what is in question, perhaps.  This question will be answered, this once, by yourself...~ [SOLAR43] */
  IF ~~ THEN DO ~AddXP2DA("Solar2")
StartCutSceneMode()
StartCutScene("cut234b")
~ EXIT
END

IF ~~ THEN BEGIN 38 // from:
  SAY #67359 /* ~You are here to tell yourself of the prophecy and your own place in it.~ [SOLAR44] */
  IF ~~ THEN REPLY #67362 /* ~What do I care of my place in some prophecy?  It means nothing to me.~ */ DO ~IncrementGlobal("Bhaal25Dream2","GLOBAL",-2)~ GOTO 39
  IF ~~ THEN REPLY #67363 /* ~Will knowing this prove some advantage to me?~ */ DO ~IncrementGlobal("Bhaal25Dream2","GLOBAL",-1)~ GOTO 40
  IF ~~ THEN REPLY #67364 /* ~I know my place... I am the Bhaalspawn which leaves the Sword Coast awash with blood.~ */ GOTO 41
  IF ~~ THEN REPLY #67365 /* ~I know my place... I will take my father's power..~ */ DO ~IncrementGlobal("Bhaal25Dream2","GLOBAL",-1)~ GOTO 40
  IF ~~ THEN REPLY #67366 /* ~I would prefer to find a way to avoid my destiny, if I could.~ */ DO ~IncrementGlobal("Bhaal25Dream2","GLOBAL",2)~ GOTO 42
END

IF ~~ THEN BEGIN 39 // from: 38.0
  SAY #67370 /* ~You may choose to stumble about blindly, if you wish, but knowledge of yourself brings power... and control over your destiny.  Listen as you speak.~ [SOLAR45] */
  IF ~~ THEN EXTERN ~DREAMPC~ 1
END

IF ~~ THEN BEGIN 40 // from: 38.3 38.1
  SAY #67372 /* ~Knowledge of yourself brings power, god-child... and control over your destiny.  Ponder what advantage can be derived here, if you wish.  Listen as you speak.~ [SOLAR46] */
  IF ~~ THEN EXTERN ~DREAMPC~ 1
END

IF ~~ THEN BEGIN 41 // from: 38.2
  SAY #67374 /* ~Perhaps you are at least partly correct... but not completely.  Knowledge of yourself brings power, god-child... and control over your destiny.  Listen as you speak.~ [SOLAR47] */
  IF ~~ THEN EXTERN ~DREAMPC~ 1
END

IF ~~ THEN BEGIN 42 // from: 38.4
  SAY #67375 /* ~Destiny may not always be avoided. If you are to have a say in which path is taken, listen as you speak.~ [SOLAR48] */
  IF ~~ THEN EXTERN ~DREAMPC~ 1
END

IF ~~ THEN BEGIN 43 // from:
  SAY #67379 /* ~It is a piece of you.  Perhaps from another time, another dimension... but you, nevertheless.  Speak to yourself of Alaundo's prophecy, I bid you.~ [SOLAR49] */
  IF ~~ THEN EXTERN ~DREAMPC~ 2
END

IF ~~ THEN BEGIN 44 // from:
  SAY #67428 /* ~You have been counseled by your own self.  You are now aware of your place in these events, and why you are here.  Not every soul gets such an opportunity.~ [SOLAR50] */
  IF ~~ THEN REPLY #67429 /* ~Hmph.  Whoever that is, <PRO_HESHE> doesn't sound much like me.~ */ GOTO 45
  IF ~~ THEN REPLY #67430 /* ~Thank you, solar.~ */ GOTO 46
  IF ~~ THEN REPLY #67431 /* ~Yeah, yeah, whatever.~ */ GOTO 46
END

IF ~~ THEN BEGIN 45 // from: 44.0
  SAY #67432 /* ~This piece of yourself is here as if in a dream, speaking not as if awake, as you will speak in such a dream, one day.  For now, there is but one more question.~ [SOLAR51] */
  IF ~~ THEN GOTO 47
END

IF ~~ THEN BEGIN 46 // from: 44.2 44.1
  SAY #67433 /* ~Then there is but one more question before you may return to your path.~ [SOLAR52] */
  IF ~~ THEN GOTO 47
END

IF ~~ THEN BEGIN 47 // from: 46.0 45.0
  SAY #67434 /* ~When you return to the waking world, you will continue to speed towards your purpose... stopping the prophecy from coming true.  My question... why will you do this?~ [SOLAR53] */
  IF ~~ THEN REPLY #67435 /* ~(snort!)  Because it seems I have no choice, as always!~ */ FLAGS 128 GOTO 48
  IF ~~ THEN REPLY #67436 /* ~To stop them from killing me first, why else?~ */ DO ~IncrementGlobal("Bhaal25Dream2","GLOBAL",-1)~ GOTO 48
  IF ~~ THEN REPLY #67437 /* ~Because the other Bhaalspawn stand between me and my rightful place of power.~ */ DO ~IncrementGlobal("Bhaal25Dream2","GLOBAL",-2)~ GOTO 48
  IF ~~ THEN REPLY #67438 /* ~I will prevent the destruction of the land because it is the right thing to do.~ */ DO ~IncrementGlobal("Bhaal25Dream2","GLOBAL",2)~ GOTO 48
  IF ~~ THEN REPLY #67439 /* ~The quicker I get this 'destiny' over with, the quicker I can start the rest of my life.~ */ DO ~IncrementGlobal("Bhaal25Dream2","GLOBAL",1)~ GOTO 48
  IF ~~ THEN REPLY #67440 /* ~Errr... because if it wasn't for world-shaking prophecies, life would be boring?~ */ DO ~IncrementGlobal("Bhaal25Dream2","GLOBAL",-1)~ GOTO 48
  IF ~~ THEN REPLY #67441 /* ~I don't plan on doing it, regardless of what you say.~ */ DO ~IncrementGlobal("Bhaal25Dream2","GLOBAL",-1)~ GOTO 48
END

IF ~~ THEN BEGIN 48 // from: 47.6 47.5 47.4 47.3 47.2 47.1 47.0
  SAY #67450 /* ~Perception is truth in this one instance, god-child.  Consider what you have learned... and farewell.~ [SOLAR54] */
  IF ~GlobalGT("Bhaal25Dream2","GLOBAL",0)
~ THEN DO ~AddXP2DA("Solar2")
StartCutSceneMode()
StartCutScene("cut234c")
~ JOURNAL #73863 /* ~Revelations of the Solar

Yet another interaction with the Solar... this time concerning my own place in Alaundo's prophecy.  Supposedly, I am the one Alaundo spoke of, but in the way that I am supposed to stop the rest of the Bhaalspawn from wreaking destruction and chaos upon the Sword Coast... rather than being solely responsible for it, myself.  I am unsure how to take this news, as it seems my place in the scheme of this is predestined.  I could be the most savage beast in the Realms, and yet the other Bhaalspawn would still see me as a threat to them?

It seems that this is so.  Whether I like it or not, I have been placed on a path to collide with the destinies of the remaining children of Bhaal.  And it seems my victory would be far preferable to theirs... at least as far as the prophecy is concerned.

Once again, the Solar has opened another of the portals to a challenge in the pocket plane.  There is more for me to learn about myself, yet, it appears.~ */ FLAGS 128 EXIT
  IF ~GlobalLT("Bhaal25Dream2","GLOBAL",1)
~ THEN DO ~AddXP2DA("Solar2")
StartCutSceneMode()
StartCutScene("cut234d")
~ JOURNAL #73863 /* ~Revelations of the Solar

Yet another interaction with the Solar... this time concerning my own place in Alaundo's prophecy.  Supposedly, I am the one Alaundo spoke of, but in the way that I am supposed to stop the rest of the Bhaalspawn from wreaking destruction and chaos upon the Sword Coast... rather than being solely responsible for it, myself.  I am unsure how to take this news, as it seems my place in the scheme of this is predestined.  I could be the most savage beast in the Realms, and yet the other Bhaalspawn would still see me as a threat to them?

It seems that this is so.  Whether I like it or not, I have been placed on a path to collide with the destinies of the remaining children of Bhaal.  And it seems my victory would be far preferable to theirs... at least as far as the prophecy is concerned.

Once again, the Solar has opened another of the portals to a challenge in the pocket plane.  There is more for me to learn about myself, yet, it appears.~ */ FLAGS 128 EXIT
END

IF ~Global("TalkedToSolar","GLOBAL",4)
~ THEN BEGIN 49 // from:
  SAY #67512 /* ~I greet you once again, godchild.  You near the final stage of your destiny.  All will become most complicated very soon.~ [SOLAR55] */
  IF ~~ THEN REPLY #67513 /* ~No more complicated than it's ever been.~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",5)
~ GOTO 50
  IF ~~ THEN REPLY #67515 /* ~Nonsense.  These Bhaalspawn cannot stand before me.~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",5)
IncrementGlobal("Bhaal25Dream3","GLOBAL",-1)~ GOTO 50
  IF ~~ THEN REPLY #67517 /* ~The dead are never complicated.  I will rule all, soon.~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",5)
IncrementGlobal("Bhaal25Dream3","GLOBAL",-2)~ GOTO 50
  IF ~~ THEN REPLY #67518 /* ~Then any help you could provide would be appreciated.~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",5)
IncrementGlobal("Bhaal25Dream3","GLOBAL",1)~ GOTO 50
  IF ~~ THEN REPLY #67520 /* ~I only hope I will be able to hold onto what is good and righteous.~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",5)
IncrementGlobal("Bhaal25Dream3","GLOBAL",2)~ GOTO 50
END

IF ~~ THEN BEGIN 50 // from: 49.4 49.3 49.2 49.1 49.0
  SAY #67521 /* ~We shall see.  You have fought against brother and sister in recent days... fought and prevailed as they arrayed their forces against you.  You have done well.~ [SOLAR56] */
  IF ~~ THEN GOTO 51
END

IF ~~ THEN BEGIN 51 // from: 50.0
  SAY #67522 /* ~The most powerful children of Bhaal gathered themselves together years ago.  You know them as the Five.  Together, they hoped their power would destroy all others of their kind.~ [SOLAR57] */
  IF ~~ THEN GOTO 52
END

IF ~~ THEN BEGIN 52 // from: 51.0
  SAY #67523 /* ~But what you do not know is why... what purpose your siblings have for their actions.  You may suspect... but hear the truth from the lips of one you have murdered...~ [SOLAR58] */
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("cut235b")
~ EXIT
END

IF ~~ THEN BEGIN 53 // from:
  SAY #67526 /* ~You shall explain the truth of your actions, spirit, to the one that killed you.~ [SOLAR59] */
  IF ~~ THEN EXTERN ~YAGA02~ 1
END

IF ~~ THEN BEGIN 54 // from:
  SAY #67528 /* ~You shall answer our questions of the Five.~ [SOLAR60] */
  IF ~~ THEN EXTERN ~YAGA02~ 2
END

IF ~~ THEN BEGIN 55 // from:
  SAY #67533 /* ~For Bhaal, the dead god and your father, to be resurrected as he had planned before his death.~ [SOLAR61] */
  IF ~~ THEN EXTERN ~YAGA02~ 6
END

IF ~~ THEN BEGIN 56 // from:
  SAY #67535 /* ~So the Five sought to resurrect your father and become demigods.  What does this mean to you, godchild?~ [SOLAR62] */
  IF ~~ THEN REPLY #67536 /* ~Very little.  Isn't that what all these Bhaalspawn want?  It's over, now, anyway.~ */ EXTERN ~YAGA02~ 7
  IF ~~ THEN REPLY #67537 /* ~It means their plan has failed and I will become supreme, instead.~ */ DO ~IncrementGlobal("Bhaal25Dream3","GLOBAL",-1)~ EXTERN ~YAGA02~ 7
  IF ~~ THEN REPLY #67538 /* ~It means that their plan is defeated... Bhaal will remain where he is: dead!~ */ DO ~IncrementGlobal("Bhaal25Dream3","GLOBAL",1)~ EXTERN ~YAGA02~ 7
  IF ~~ THEN REPLY #67539 /* ~It wasn't what I thought they were up to, but it's all over now, anyway.~ */ EXTERN ~YAGA02~ 7
END

IF ~~ THEN BEGIN 57 // from:
  SAY #67546 /* ~The last of the Five yet remains, godchild, and your father stirs.  What will you do?~ [SOLAR63] */
  IF ~~ THEN REPLY #67553 /* ~I'll just have to stop Balthazar and Bhaal, too, if it comes to that.~ */ DO ~IncrementGlobal("Bhaal25Dream3","GLOBAL",1)~ GOTO 58
  IF ~~ THEN REPLY #67554 /* ~Balthazar can't stop me from taking my rightful place.  And neither can my dead father.~ */ DO ~IncrementGlobal("Bhaal25Dream3","GLOBAL",-2)~ GOTO 58
  IF ~~ THEN REPLY #67555 /* ~I would prefer to just leave, but I probably won't have a choice.~ */ GOTO 58
  IF ~~ THEN REPLY #67556 /* ~If I can kill Balthazar before he raises Bhaal, I'd prefer not to deal with my so-called 'father' at all.~ */ DO ~IncrementGlobal("Bhaal25Dream3","GLOBAL",2)~ GOTO 58
  IF ~~ THEN REPLY #67561 /* ~I can serve my father far better than they ever could.~ */ DO ~IncrementGlobal("Bhaal25Dream3","GLOBAL",-2)~ GOTO 58
  IF ~~ THEN REPLY #67557 /* ~Slaughter.  Maim.  Destroy.  What comes naturally.~ */ DO ~IncrementGlobal("Bhaal25Dream3","GLOBAL",-2)~ GOTO 58
END

IF ~~ THEN BEGIN 58 // from: 57.5 57.4 57.3 57.2 57.1 57.0
  SAY #67558 /* ~Then continue on your path, godchild.  I shall see you soon enough.~ [SOLAR64] */
  IF ~GlobalGT("Bhaal25Dream3","GLOBAL",0)
~ THEN DO ~AddXP2DA("Solar2")
StartCutSceneMode()
StartCutScene("cut235e")
~ JOURNAL #73864 /* ~Revelations of the Solar

The powerful Bhaalspawn that I have been fighting, the ones that have been relentlessly hunting the others, call themselves 'the Five'.  Like myself, they are the most potent of our kind and possess a great deal of Bhaal's divine essence.

It appears that they had gathered together for a single purpose... since they were too powerful to fight each other, they would combine their forces and hunt the remainder of the Bhaalspawn.  Then they would raise our sire and become his earthly generals.  They were largely successful, but four of them are now dead: Illasera, Yaga-Shura, Sendai and Abazigal.

The only trick is that they contained so much of Bhaal's essence that the god may be nearer to resurrection than ever.  Perhaps that is what the last of the Five, Balthazar, plans even now.  I have no choice but to return to Amkethran and stop him.  Then, perhaps, this will finally all be over.

The fourth challenge room is now open to me.  It seems odd, considering how close I am to the end, that there is still one more to go even after this.~ */ FLAGS 128 EXIT
  IF ~GlobalLT("Bhaal25Dream3","GLOBAL",1)
~ THEN DO ~AddXP2DA("Solar2")
StartCutSceneMode()
StartCutScene("cut235f")
~ JOURNAL #73864 /* ~Revelations of the Solar

The powerful Bhaalspawn that I have been fighting, the ones that have been relentlessly hunting the others, call themselves 'the Five'.  Like myself, they are the most potent of our kind and possess a great deal of Bhaal's divine essence.

It appears that they had gathered together for a single purpose... since they were too powerful to fight each other, they would combine their forces and hunt the remainder of the Bhaalspawn.  Then they would raise our sire and become his earthly generals.  They were largely successful, but four of them are now dead: Illasera, Yaga-Shura, Sendai and Abazigal.

The only trick is that they contained so much of Bhaal's essence that the god may be nearer to resurrection than ever.  Perhaps that is what the last of the Five, Balthazar, plans even now.  I have no choice but to return to Amkethran and stop him.  Then, perhaps, this will finally all be over.

The fourth challenge room is now open to me.  It seems odd, considering how close I am to the end, that there is still one more to go even after this.~ */ FLAGS 128 EXIT
END

IF ~Global("TalkedToSolar","GLOBAL",5)
~ THEN BEGIN 59 // from:
  SAY #67565 /* ~The greatest of the Bhaalspawn, the Five, have been destroyed, godchild.  Nearly all of Bhaal's essence has been returned to the source... your journey is nearly complete.~ [SOLAR65] */
  IF ~~ THEN REPLY #67566 /* ~But the Five aren't destroyed!  Melissan remains!~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",6)
~ GOTO 60
  IF ~~ THEN REPLY #67567 /* ~So Bhaal is being resurrected, is that what you're telling me?~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",6)
~ GOTO 61
  IF ~~ THEN REPLY #67568 /* ~So what do I have to do now?~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",6)
~ GOTO 61
  IF ~~ THEN REPLY #67569 /* ~Yeah, yeah.  Let's just get this over with, then.~ */ DO ~SetGlobal("TalkedToSolar","GLOBAL",6)
~ GOTO 61
END

IF ~~ THEN BEGIN 60 // from: 59.0
  SAY #67570 /* ~The one you know as Melissan is not a member of the Five, godchild.  She is no child of Bhaal.~ [SOLAR66] */
  IF ~~ THEN GOTO 61
END

IF ~~ THEN BEGIN 61 // from: 60.0 59.3 59.2 59.1
  SAY #67571 /* ~The dead god, Bhaal, has not been resurrected.  You must understand what awaits you at the end of your journey, godchild... and for this, the one you know as Melissan will explain for herself.~ [SOLAR67] */
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("cut243b")
~ EXIT
END

IF ~~ THEN BEGIN 62 // from:
  SAY #67573 /* ~You are here at my sufferance, spirit.  You will answer our questions.~ [SOLAR68] */
  IF ~~ THEN EXTERN ~MELISS01~ 1
END

IF ~~ THEN BEGIN 63 // from:
  SAY #67575 /* ~You are no goddess yet, mortal.  The prophecy has not come to fruition.~ [SOLAR69] */
  IF ~~ THEN EXTERN ~MELISS01~ 2
END

IF ~~ THEN BEGIN 64 // from:
  SAY #67577 /* ~Then explain yourself.  If you are correct, it shall make no difference in the end.~ [SOLAR70] */
  IF ~~ THEN EXTERN ~MELISS01~ 3
END

IF ~~ THEN BEGIN 65 // from:
  SAY #67611 /* ~Enough!  A battle here will solve nothing.~ [SOLAR71] */
  IF ~~ THEN GOTO 66
END

IF ~~ THEN BEGIN 66 // from: 65.0
  SAY #67612 /* ~Your course is set, god-child.  Return to your pocket plane... and when you are ready, you will need to end its existence.  Then you will be within the Throne of Blood... and Melissan will be at hand.~ [SOLAR72] */
  IF ~~ THEN GOTO 67
END

IF ~~ THEN BEGIN 67 // from: 66.0
  SAY #67613 /* ~She is not yet done taking the essence of Bhaal's children.  I suggest that you move quickly, god-child.  The final act of the prophecy awaits.~ [SOLAR73] */
  IF ~GlobalGT("Bhaal25Dream5","GLOBAL",0)
~ THEN DO ~ClearAllActions()
AddXP2DA("Solar2")
StartCutSceneMode()
StartCutScene("cut243e")
~ JOURNAL #73865 /* ~Revelations of the Solar

My course is set.  My last enemy has been revealed.  It is not Bhaal, arisen anew like I had suspected... it is none other than Melissan, and has been all along.

She was once Bhaal's high priestess during the Time of Troubles.  It was supposed to be her in charge of killing all the Bhaalspawn and returning their essences to him... her in charge of Bhaal's resurrection.  He trusted her and she has betrayed him.  She has manipulated the Five to their deaths, manipulated me, and even now seeks to steal the power of her master and become a goddess.

The last of the challenges awaits me.  I must enter that challenge and destroy my protective 'cocoon' that is my pocket plane so that I may enter the Throne of Bhaal to stop Melissan before she is successful.  She MUST not succeed.~ */ FLAGS 128 EXIT
  IF ~GlobalLT("Bhaal25Dream5","GLOBAL",1)
~ THEN DO ~ClearAllActions()
AddXP2DA("Solar2")
StartCutSceneMode()
StartCutScene("cut243f")
~ JOURNAL #73865 /* ~Revelations of the Solar

My course is set.  My last enemy has been revealed.  It is not Bhaal, arisen anew like I had suspected... it is none other than Melissan, and has been all along.

She was once Bhaal's high priestess during the Time of Troubles.  It was supposed to be her in charge of killing all the Bhaalspawn and returning their essences to him... her in charge of Bhaal's resurrection.  He trusted her and she has betrayed him.  She has manipulated the Five to their deaths, manipulated me, and even now seeks to steal the power of her master and become a goddess.

The last of the challenges awaits me.  I must enter that challenge and destroy my protective 'cocoon' that is my pocket plane so that I may enter the Throne of Bhaal to stop Melissan before she is successful.  She MUST not succeed.~ */ FLAGS 128 EXIT
END
